Tkinter and Solaris 7 Sparc [Q]

Thomas A. Bryan tbryan at python.net
Thu Nov 4 03:48:37 CET 1999


exeq at my-deja.com wrote:
> I am trying to compile Python 1.5.2 with tkinter on Solaris 7 (Sparc).

A word of encouragement: I have successfully built Python 1.5.2 on
Solaris 7.
I can't remember whether I used gcc or Sun's compiler.

> have installed TCL/TK 8.0.5, GCC 2.8.1 / Sun Workshop 5 (I tryied with
> both compilers).
> 
> I just get an error saying that libX11.so.6.1 is needed. Is there a way
> to build tkinter without X11? Or I just need to download and install
> X11?

First, I ask the "obvious" question.  Did you edit the Modules/Setup
file 
(or, better, did you make a Setup.local file)?  If so, did you make sure 
to use the entries in the Tkinter portion that are specific to Solaris?

(from Setup)

# *** Uncomment and edit to reflect where your X11 header files are:
#-I/usr/X11R6/include \
# *** Or uncomment this for Solaris:
       -I/usr/openwin/include \
.....
# *** Uncomment and edit to reflect where your X11 libraries are:
#-L/usr/X11R6/lib \
# *** Or uncomment this for Solaris:
       -L/usr/openwin/lib \

If you already did that correctly, is libX11 in that directory?  That is 
use 'ls' and 'find' to look for the library.  Is it there?

---Tom




More information about the Python-list mailing list